### Method

# Gtk FileChooserset_filter

deprecated: 4.10

#### Declaration [src]

    void
    gtk_file_chooser_set_filter (
      GtkFileChooser* chooser,
      GtkFileFilter* filter
    )

#### Description [src]

Sets the current filter.

Only the files that pass the filter will be displayed. If the user-selectable list of filters is non-empty, then the filter should be one of the filters in that list.

Setting the current filter when the list of filters is empty is useful if you want to restrict the displayed set of files without letting the user change it.

Deprecated since: 4.10

Use `GtkFileDialog` instead.

Sets property | `Gtk.FileChooser:filter`

#### Parameters

`filter`

  Type: `GtkFileFilter`

  A `GtkFileFilter`

  The data is owned by the caller of the method.